geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ted Kirby (JIRA)" <j...@apache.org>
Subject [jira] Created: (GERONIMODEVTOOLS-507) Ship only one feature that provides v20 and v21 server support
Date Wed, 27 Aug 2008 20:19:44 GMT
Ship only one feature that provides v20 and v21 server support
--------------------------------------------------------------

                 Key: GERONIMODEVTOOLS-507
                 URL: https://issues.apache.org/jira/browse/GERONIMODEVTOOLS-507
             Project: Geronimo-Devtools
          Issue Type: Improvement
          Components: eclipse-plugin
    Affects Versions: 2.1.3
            Reporter: Ted Kirby
            Assignee: Ted Kirby


The v20 feature requires all of the v21 feature.  GERONIMODEVTOOLS-499 provided that fix.
 Now, the v20 feature provides both v20 and v21 server support, while the v21 feature provides
support for v21 only.  This is inconsistent, and provides some confusion.  GERONIMODEVTOOLS-506
suggests that the v20 feature should provide support for v20 only.  Another option is this
one, where we only ship one feature, and it supports both v20 and v21.  I think this approach
is better than GERONIMODEVTOOLS-506.  Providing v20 support only would require copying code
from v21.  It is simpler to provide one feature that supports both.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message